> This page is for API.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.eon.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.eon.io/_mcp/server.

# Get Restore Account Metrics Configuration

GET https://%7Baccount-domain%7D.console.eon.io/api/v1/projects/{projectId}/restore-accounts/{accountId}/metrics-config

Retrieves the metrics configuration of the specified restore account.


Reference: https://docs.eon.io/api/api-reference/restore-connections/metrics/get-restore-account-metrics-config

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — ID of the project whose restore account metrics configuration you want to retrieve. You can get your project ID from the [API Credentials](https://console.eon.io/global-management/api-credentials) page in your global management console.
- `accountId` (string, required) — Eon-assigned ID of the restore account.

## Response

### 200

Metrics configuration retrieved.

- `restoreAccountConfig` (RestoreAccountMetricsConfig, required)

## Errors

### 404 Not Found Error

Restore account wasn't found.

- `any`

## Types

### RestoreAccountMetricsConfig

- `restoreAccountId` (string, required) — Eon-assigned restore account ID.
- `enabled` (boolean, required) — Indicates whether job metrics are enabled for the restore account. If `true`, job metrics are collected and can be queried.
- `destination` (AccountMetricsDestination, required) — Metrics destination settings.

### AccountMetricsDestination

- `aws` (AwsAccountMetricsDestination, optional) — AWS metrics destination settings.

### AwsAccountMetricsDestination

- `region` (string, optional) — CloudWatch region to publish metrics to.

## Examples

**Response**

```json
{
  "restoreAccountConfig": {
    "restoreAccountId": "9b76a8a2-a918-57e6-94d5-0316ebab663c",
    "enabled": true,
    "destination": {
      "aws": {
        "region": "us-east-1"
      }
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://{account-domain}.console.eon.io/api/v1/projects/4bd9ca0f-b6cd-5a00-b6ce-76960e76c4ba/restore-accounts/806f6781-1d66-4c7d-9f0e-e7da04e12541/metrics-config"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{account-domain}.console.eon.io/api/v1/projects/4bd9ca0f-b6cd-5a00-b6ce-76960e76c4ba/restore-accounts/806f6781-1d66-4c7d-9f0e-e7da04e12541/metrics-config';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://{account-domain}.console.eon.io/api/v1/projects/4bd9ca0f-b6cd-5a00-b6ce-76960e76c4ba/restore-accounts/806f6781-1d66-4c7d-9f0e-e7da04e12541/metrics-config")
  .header("Authorization", "Bearer <token>")
  .asString();
```